import java.applet.Applet;
import java.awt.*;
public class kolm1 extends Applet{

public void kolmnurk(int n, int x, int y, float nurk, Graphics g, Color c){
int i, j;
float ns, nc;
ns=(float)Math.sin(nurk);
nc=(float)Math.cos(nurk);

g.setColor(c);
for(i=0; i<n; i++)
for(j=0; j<=i; j++){
g.fillOval(x+(int)(nc*20*j+ns*20*i),y+(int)(nc*20*i-ns*20*j), 10, 10);
 }
}

public void paint(Graphics g){
 kolmnurk(5, 100, 100, (float)(5*Math.PI/4), g, Color.red);
}


}
